import { BadgeSize } from './NestedBadge.types';
export declare const StyledNestedBadge: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    $badgeSize: BadgeSize;
}, never>;
export declare const StyledImg: import("styled-components").StyledComponent<"img", import("styled-components").DefaultTheme, {
    $badgeSize: BadgeSize;
}, never>;
export declare const StyledFallback: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    $badgeSize: BadgeSize;
}, never>;
export declare const StyledFlag: import("styled-components").StyledComponent<import("../../../../Atoms/Flag/Flag.types").FlagComponent, import("styled-components").DefaultTheme, {
    $badgeSize: BadgeSize;
}, never>;
export declare const StyledOverlay: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    $badgeSize: BadgeSize;
}, never>;
